Subject: Re: bug#22566: 24.5; Make shift key translation a customizable feature

From: Richard Stallman <[email-masked]>
Date: Fri, 12 Feb 2016 07:31:32 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The other problem is that I've lately been adding support for shifted function
  > keys to my Linux console keymap. Emacs' shift translation has made my
  > debugging harder, because when I use the describe-key-briefly command to check
  > if emacs got a shifted function key right, it just reports something like
  > this: "<C-right> runs the command right-word" even though I pressed
  > <C-S-Right>. But when I open an org-file in org-mode and try the same key
  > combination, emacs now says: "<C-S-right> runs the command
  > org-shiftcontrolright".

You could give C-S-Right a definition (same as that of C-Right)
and that would turn off the translation.

			    Describe-key-briefly should at least report that it is
  > doing some translation. It already does this reporting for non-function keys.

I agree.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.